[Unit]
Description=CoreMedia {{ coremedia_application_name }}
After=syslog.target network.target

[Service]
Type=forking
PIDFile={{ studio.user_home }}/apache-tomcat.pid

Environment=CATALINA_PID={{ studio.user_home }}/apache-tomcat.pid
Environment=CATALINA_HOME={{ studio.user_home }}/current
# Environment='CATALINE_OPTS=-Xms128M -Xmx765M -server -XX:+UseParallelGC'
# Environment='JAVA_OPTS=-Djava.awt.haedless=true -Djava.security.egd=file:/dev/./urandom'

ExecStart={{ studio.user_home }}/current/bin/startup.sh -Dprocessname={{ coremedia_application_name }}
ExecStop={{ studio.user_home }}/current/bin/shutdown.sh 30

User={{ studio_user }}
Group={{ studio_group }}

[Install]
WantedBy=multi-user.target
